<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from moc_randi.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="moc_randi" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>moc_randi</refname>
    <refpurpose>Return random integers in a given range</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   ri = moc_randi(imax)
   ri = moc_randi(imax,n)
   ri = moc_randi(imax,m,n,...)
   ri = moc_randi([imin,imax],...)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
Additional arguments determine the shape of the return matrix.  When no
arguments are specified a single random integer is returned.  If one
argument n is specified then a square matrix (n x n) is
returned.  Two or more arguments will return a multi-dimensional
matrix (m x n x ...).
   </para>
   <para>
The integer range may optionally be described by a two element matrix
with a lower and upper bound in which case the returned integers will be
on the interval [imin, imax].
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// The following example returns 150 integers in the range 1-10.
ri = randi (10, 150, 1)
   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Rik Wehbring</member>
   <member>H. Nahrstaedt  - 2014</member>
   </simplelist>
</refsection>
</refentry>
